Backup2007 Synchronizer overview

Today computer users access to more than one computer : home, notebook, office computer are usual tools. They move data between these devices using USB flash drive, external hard disk or network connection.

Backup2007 Synchronizer is the perfect tool for such situation.

Backup2007 Synchronizer lets you to back up and synchronize the content of computers, disks or folders.

Synchronization can be done on the fly or through a script.

Backup2007 Synchronizer is able to use three synchronization methods:

· Source >> Target
· Source >> Target >> Source (bidirectional)
· Clone

In addition to copy files, Backup2007 Synchronizer can encrypt files using an AES 256 bits key. Backup2007 Synchronizer can also compress files, and you are entitled to combine compression with encryption.

Backup2007 Synchronizer is also able to maintain different versions of the same file.

With the Incremental option, Backup2007 Synchronizer executes synchronization at the speed of light.

With the Compare function you can evaluate easily the differences between 2 folders and take necessary actions if needed.

You can schedule any script. Backup2007 Synchronizer creates a task in Windows Scheduler and you can schedule multiple scripts in a single task.

Backup2007 Synchronizer comes with a tool to easily transfer pictures from digital camera or flash disk to hard disk and renaming automatically pictures during the transfer.

Backup2007 Synchronizer is thread safe, which means jobs can be done in the background utilizing a minimum of resources.

Backup2007 Synchronizer includes now a Replicate disk partition function. The Replicate is a copy clusters function to duplicate a disk partition to another local disk, including USB disk.

Backup2007 Synchronizer is built using Microsoft Office 2007 looks and feel. It supports Office Windows themes.

Version 6.5.312

May 2007


The Interface

Backup2007 Synchronizer uses the Windows Office 2007 looks and feel.

The interface is now common to all RD Technologies 2007 backup software.

The navigation panel :

From the navigation panel you can access to the main application component :

· My computer : to browse your computer and select data
· Geography : gives you a graphical view of your synchronizations or your backup storage.
· Timeline : a planning of all your scheduled tasks
· Scripts : to access the scripts definition.

The My computer is the default view but user can select another view as default (see Tools >> Start view).

The menu toolbar :

All software have the same menu toolbar. Functions are organized around 5 groups :

· File : functions to manage scripts, and access to the wizard.
· Actions : all main actions provided by the software (synchronize, compare, encrypt, decrypt, decompress,live synchronization).
· Options : current synchronization settings. Can be saved as standard profile or to update the current script;
· Tools : program settings and peripheral functions.
· Help : access to this help file and to RD Technologies web site : forum, support center, update center...

Each button or toolbar group has its own office hint.

The status bar :

The status bar shows the current options settings, the current active script. A Start button is also available on the status bar. The status bar is also used to display progress bar when encrypting and decrypting files.


Understanding the synchronization process

Backup2007 Synchronizer lets you to choose between 3 synchronization methods :

Source >> Target : the source is scanned. The program checks each file for content and to determine whether it is new or one that has been modified. New and modified files are copied to Target. This method is useful for backing up data.

.Source >> Target >> Source : bidirectional method. As with the previous method the Source is scanned; newer and modified files are copied to Target. Then Target is scanned and if Backup2007 Synchronizer finds new or more recent files it copies these files to Source. This method is useful if you work on two different computers (e.g. a notebook and a desktop computer).

Clone : Source is scanned. Newer files and modified are copied to Target. Then Target is scanned. If Backup2007 Synchronizer finds files and folders that do not exist on Source, it removes them.

Folder management :

The folder management is a key option.

· Same folder name : files are stored to the target destination using the same folder name. If source is C:\myfolder and the target E:\ . All files are compared and copied to E:\myfolder; If you select E:\Backup files will be copied to E:\Backup\myfolder. This is the usual option used for backing up data.
· Ignore source root folder name : the root folder is ignored, sub folders are kept. if source is C:\myfolder\sub1\Sub2 and target E:\Backup files will be copied to E:\Backup\sub1\sub2. The \myfolder\ part of the source path will be ignored.
· Ignore source parent folder : the last sub folder is kept, root folder and other sub folders are ignored ; if source is C:\myfolder\sub1\Sub2 and target E:\Backup files will be copied to E:\Backup\sub2
· Ignore entire folder name : files will be copied to the target folder, the entire path is ignored; if source is C:\myfolder\sub1\Sub2 and target E:\Backup files will be copied to E:\Backup\

The Comparison method :

The comparison method defines how source and target files are compared.

The Date and Time is a classical comparison method. Files dates and times are compared.

Archive file attributes : only source files with archive file attributes are copied to the target destination. The target file is not evaluated. The source archive files attributes are reset. This comparison method simulates backup software.

The CRC method (Cyclical Redundancy Check) : this is the most sophisticated but the slowest.

Compression: Backup2007 Synchronizer can compress files to the target destination. The compression is done using the GZIP compression format. Each file is compressed individually to the target. The filename is the same

The GZIP compression format is compatible with Winzip.

Encryption: files are encrypted on the target using AES 256 bits encryption key. This is useful if you copy a file on an external hard disk which can be easily accessed by others. Encrypted files are named with the same name of the original source file except that an underscore "_" is added to the end of the filename (before the file extension).

Multiple versions: Backup2007 Synchronizer is able to maintain more than one copy on the target destination. The number of copies is under your control. For each version the file name is completed with '(Version X)'. The most recent file has the same name as the original source file. Version 1 is the oldest file.

Combination

 | Source >> Target | Source >> Target >> Source | Clone
Compression | YES | NO | YES
Encryption | YES | NO | YES
Versions | YES | NO | NO
Compression/encryption | YES | NO | YES
Versioning/encryption | YES | NO | NO
Compression/versioning | YES | NO | NO
Compression/encryption/versioning | YES | NO | NO


Understanding the replicate partition function

The Replicate partition function copies a disk partition to another one. The copy is not based on files but on clusters.

The target partition must be formatted using the same file system. If the source is a FAT or FAT32 the partition must be absolutely identical : same number of sectors and strictly same size. If the source is a NTFS disk partition, the size must be at least equal, and the sector size identical. If the target size is greater, the size will be adjusted by Windows. When you restart Windows it will run CHKDSK automatically, to adjust the size and if necessary to assign new SID to the files. You can also run CHKDSK manually. The difference of disk space between source and target will become available for creating a new partition.

If the partition includes the operating system, don't use the replicate partition function to move data between computers, except if these computers are strictly the same.

Partition replication can be scheduled.

You can combine replication and synchronization.

By example, you can schedule a partition replication every week and schedule an incremental synchronization every day.

Except for testing purpose, it is not recommended to replicate partition to another one stored physically on the same hard disk.

If you replicate a partition to another one located on an USB hard drive, be sure to be connected through an USB 2.X rather than an USB 1.X. USB 2 is at least 5 times faster.


Common errors
· Scheduling synchronization with a mapped network drive: a mapped network drive is a network drive recognized by a disk letter (e.g. F:). You can synchronize a mapped drive, but it is recommended to define a network drive through the UNC path notation (e.g. \\Comptuert\folder\...). To pick the UNC path, select it from My Network Places > Entire Network > Microsoft Windows Network > Domain name > Computer. The main reason is that mapped drives are not available when the user is not logged on. So if you schedule a script using a mapped drive it will be ignored.
· Encrypting files with your birthday or any other easy password may be unsafe. Backup2007 Synchronizer uses a 256 bits encryption key. It needs centuries to crack such a code, but you must provide a strong password that can be recovered only by you or authorized users.
· Synchronizing NTFS disk partition to FAT32 disk partition: you can synchronize different disk partitions, but you must take care if you have files over 2GB on NTFS. FAT32 is unable to handle files over 2 GB with Windows 9x/Me or 4GB with Windows 2000/XP. NTFS file size is only limited by the disk size.


Note for Windows 2000 and Vista users

Windows 2000

If you run Windows 2000 you need the Windows Dll GDIPlus.DLL. You can find this Dll on any computer running Windows XP.

Windows Vista

Backup2007 Synchronizer is partially compatible with Windows Vista,

The synchronization is fully compatible, but you need to run the program as administrator.

Before running the program :

· browse your computer
· open the Backup2007 Synchronizer folder
· move to bs.exe

or

over a shortcut if any available on the desktop

· select it and click the right mouse button.
· Click the Run as administrator menu item
· Click the Allow option in the User account Control dialog box

If the Windows XP security level is enough for you, you can deactivate the User Account Control.

If you wish to keep the security level offers by Vista, you must run the program as administrator (click the right mouse button over the desktop shortcut). Even if you have full administrative rights you need to run as administrator. Remember too, that you need to check the security level of the device (source or target).


What's new

Version 6.5.312

Enhanced : full Vista open file dialog box supported

Version 6.5.311

Enhanced : integration of Vista manifest

Enhanced : minor interface changes for Vista.

Enhanced : translation

Version 6.5.310

New : Replicate disk partition (not yet compatible with Windows Vista)

Enhanced : tool bar redesigned

Enhanced : synchronization to network drive. When saving or modifying a script you will be prompted to fill up the network login.

Maintenance release : interface updated

Version 6.4.309

Maintenance release : interface updated

Version 6.4.308

Added : Office 2007 style Quick access toolbar

Enhanced : incremental mode revisited

Version 6.3.307

Added : support for multilingual interface

Enhanced : better Windows Vista integration

Version 6.2.306

Added : Office 2007 Silver scheme

Modified : when a preview menu is attached to a bitmap the screen cursor is turned to the hand point cursor

Minor improvements

Version 6.1.305

Maintenance release : navigation data library updated (v5.2)

Version 6.1.304

Added : support for Office2007 compact toolbar

Added : Vista message dialog box style added, with emulation for other Windows version

Version 6.1.303 Official release

Added : new function to transfer images from digital camera.

Version 6.1.302 RC3

Changed : all context popup menus have been turned into Office 2007 preview menu.

Added : email after synchronization

smaller enhancements

Version 6.1.301 RC2

Added : the Live synchronizer module

Added : Office 2007 preview menu added (attached to the icon application on the main window caption)

Version 6.1.300 RC1

Application entirely rewritten using Office 2007 interface.

The Live synchronization module will be added later.


Quick start

To create your first script you have to

1. select data
2. Choose a synchronization method
3. Optionally set up some options
4. Save the script

or

use the Wizard

You are now ready to run the script, click the [image] button to start the synchronization

The synchronization progress dialog box is displayed.

When the synchronization is running the Pause and Stop button are now visible. If you pause the synchronization. The process will be stopped. If you click again the Start button, the process will restart from where it has been paused.


Lesson 1 Selecting data

The data selection is done from the My Computer panel.

The left panel displays the explorer tree view. All drives and network drives are listed. Click the drive to expand the tree and display the folders.

Now click the check box to select the folder. You can select more than one folder.

Here we have selected 2 folders. By default all sub folders are automatically selected.

Predefined accesses (My documents, My Pictures;...) are available from the popup context menu;

Now you can select the target. The target is the disk, drive, folder, or network drive where the data will be copied to and (or) from.

The target is unique. If you need to target more than one device see lesson 7

Here we select the drive F as target.

The You Get panel displays the result of the selection.

The result is conditioned by the Folder Management options (see lesson 3 ). A preview menu is attached to the folder icon near the panel title.

From this preview menu you can adjust the synchronization method and the folder management.

Here the program will copy all files from C:\Glyfx to F:\Glyfx and C:\Gigaset to F:\ Gigaset

At this point, if the minimum requirement is set up, you can run the synchronization on the fly. You can access the start synchronization function from the menu toolbar Actions >> Synchronize, from the status bar where the small start button is now visible or from the preview menu attached to the caption bar icon

Tips :

You can select data to be copied from a network drive to a second network drive attached to 2 different workstations

You can't select a CD-DVD writer as a target.


Lesson 2 Choosing a method

Backup2007 Synchronizer can copy and synchronize data using 3 methods :

· Source > Target : this is basically the method used to back up data. The program scans the source and compare files with files stored on target. Newer or modified files are copied from source to target. This method supports compression, encryption, multiple version and combination of these options.
· Source > Target > Source : this bidirectional method is typically used if you work on 2 or more computers : office >> notebook >> home or if you use an USB hard drive or memory flash drive to move data between your computers. With this method multiple version, compression and encryption are not allowed. The source is first scanned , new or modified files are copied to the target. Then the target is scanned, new or modified files are copied to the target.
· Clone : the program copies new files and modified to the target, then scans the target. If files or folders are no longer available on source they are removed from the target. The clone method allow compression and encryption but not multiple versions.


Lesson 3 Selecting options

Click the Options menu tool bar to access to the options settings

· Synchronization : see lesson 2 for choosing a method. You can also select a comparison mode. By default file date and time is evaluated to compare files. The Archive file attribute can also be set up. This mode emulates backup software. With this mode the target file is ignored, file is copied only if the archive file attribute is set on. This method is not recommended if you use besides another backup software. You can also choose the CRC mode (Cyclical Redundancy Check). This is the most sophisticated mode but the slowest.
· Version : when this option is selected the program maintains multiple versions of the same file. The most recent file keeps the original file name. Other versions are named with the file name + (version X). The oldest version is the greater number. The Version option is only available with the Source > Target and Clone synchronization method. It is compatible with compression and encryption. If you keep a large number of version you must have enough disk space. If you select 10 versions and all files are changed between 2 synchronizations, the target folder will be 10 times larger than the original.
· Options :
· Compression : file can be compressed when it is sent to the target. Backup2007 Synchronizer uses gzip compression method (compatible with Winzip). Unlike zip or other compression format, gzip compresses only one file per archive file, using the same file name. To identify a compressed file we have added an underscore '_' to the file extension. If filename.txt is the original file name , filename.txt_ is the compressed file.
· Encryption : files can be encrypted using strong encryption AES 256 bits key. This is highly recommended if you move confidential data using external devices such as USB external disk.
· Incremental : when selected only folders changed since the last run are scanned. If you have run only some minor changes since the last job synchronization will be done at the speed of light even on an entire drive. Unfortunately, sometimes, Windows delays the folder parent update. In other words sub folders are marked with a stamp date and time more recent than the parent folder date time.
· User restriction : check this option if you wish to make the script only available for the current Windows user account.
· Send email : an email can be sent to a defined email address after synchronization (see lesson 14 to set up SMTP configuration)
· Folder management : The folder management is a key option.
· Same folder name : files are stored to the target destination using the same folder name. If source is C:\myfolder and the target E:\ . All files are compared and copied to E:\myfolder; If you select E:\Backup files will be copied to E:\Backup\myfolder. This is the usual option used for backing up data.
· Ignore source root folder name : the root folder is ignored, sub folders are kept. if source is C:\myfolder\sub1\Sub2 and target E:\Backup files will be copied to E:\Backup\sub1\sub2. The \myfolder\ part of the source path will be ignored.
· Ignore source parent folder : the last sub folder is kept, root folder and other sub folders are ignored ; if source is C:\myfolder\sub1\Sub2 and target E:\Backup files will be copied to E:\Backup\sub2
· Ignore entire folder name : files will be copied to the target folder, the entire path is ignored; if source is C:\myfolder\sub1\Sub2 and target E:\Backup files will be copied to E:\Backup\

Folder management can also be changed from the You Get panel preview menu.

Include sub folders : default option. All sub folders are scanned to be compared with the target.

Exclude sub folders : only files stored in the selected folder are evaluated. All sub folders are skipped.

· Exclude : you can exclude some file from the synchronization or back up process. Click the [image] button to access the exclude list.

Type the file extension you wish to exclude, and click the Plus button to add it to the list.

To remove an extension from the list. Select it from the list, then click the Minus button.

You can clear the entire list by pressing the Rubber button. You will be prompted to confirm.

Click the [image] button to activate the exclusion list. Files matching the file extension listed here will be ignored.

You can also click the [image] to ignore no sized files. Some applications uses non sized file as a signature, so take care when activating this option.

· Thread priority : Backup2007 Synchronizer is multithread. You can adjust the level priority. When the priority level is set to high the maximum of resources are allowed to the task. When low is set up priority is allocated to other running tasks.


Lesson 4 Create, Modify, Remove a script

Once you have selected data and chosen some options you are ready to save your settings as a new script.

· Create script

Move to the File menu tool bar and click the [image] button.

The script name dialog box is displayed. A script name composed from the first folder selected and the target name is suggested . Of course you can change it and provide the name you wish. The name must be unique.

Click the OK button to save it

Now the Script is available from the Scripts navigation bar.

· Modify a script : at any time you can modify a script. From My Computer panel you can add or remove folders, or change the target. From the Options menu toolbar you can change the options as you wish. From the Scripts navigation bar you can also modified the script option. Each time an option is modified the script display, the options and status bar are updated, but at this point the script is not saved. If you run the script now, current options will be used to run the synchronization. To save the changes Backup2007 Synchronizer offers multiple ways. From the File menu tool bar you can click the [image] button. This button is also available from the Options menu tool bar Save and load group. Update script function is also available from the preview menu attached to the icon caption

· Remove a script click the [image] button. You will be prompted to confirm the deletion.


Lesson 5 Saving options as standard profile

When you have set up the options you can save this settings as a standard profile. The standard profile can be later reused to define a new script or modify an existing one.

From the Options menu tool bar click the [image] button to save the options. The Save as profile is also available from the preview menu attached to the icon caption


Lesson 6 Reusing standard profile

When a standard profile is defined, Backup2007 Synchronizer loads the standard profile at start-up.

If you modify the options or run a script with a different setup you can reload the standard profile from the Options menu tool bar. Click the [image] to reload the standard profile.

If you wish to change the current script settings by the standard profile : load the script from the Scripts navigation bar, then reload the standard profile and save the script.


Lesson 7 Create a new script from an existing one

You can create a new script from an existing one.

First load the original script from the Scripts navigation bar.

Change the settings as you need.

Then click [image] button to provide a script name.

Tip : this function is useful for copying the same data to different targets.


Lesson 8 Comparing folders

The Compare function is alike the synchronization but no data are copied to or from the target. The data selection is similar to the synchronization. You can compare source and destination of an already defined script. Just select the script from the Scripts navigation bar.

Once data are selected the start button from the Actions >> Compare group is available [image]. Click the button to start the comparison

.

During the process you can pause or cancel the action.

The Compare screen reports the differences between the source and target folders.

: the file does not exist on target [image] : the file is orphan. It does not exist on source

x1 : file is most recent x2 : the file is most recent

: file is different.(CRC different)

Preview menus are attached to each icon caption and are also available as popup menus.

The source preview menu [image] allows

· To sort the list (files are grouped by categories)
· To merge folders : both folders are merged Files listed in the source list are copied to target, then files listed on target list are copied to the source folder. Files listed as different are skipped.
· To remove selected files or non sized files
· To display the Windows Properties file dialog box

The target preview menu [image] allows

· To sort the list
· To remove selected files, non sized files and orphan files
· To display the Windows Properties file dialog box.


Lesson 9 Encrypting-Decrypting files or folder

Beside the synchronization, Backup2007 Synchronizer allows the user to encrypt and decrypt files or folders. The encrypt file function can be useful to send by email confidential data, or to encrypt data stored on a removable device such as USB flash disk or external drive.

These functions are available from the Actions >> Encrypt-Decrypt group.

· Encrypting file : if you click the button the the file will be encrypted into the same folder. A menu is attached to the button. From this menu you can choose to encrypt the file(s) to another folder. You can also check the Remove source file(s) ; after encryption the original file will be removed.

Select the file to encrypt. You can select more than one file.

If you have selected the Encrypt file to.. function you will be prompted to select the destination folder

Then you will be prompted to enter the password

Click the OK button to encrypt the files.

· The encrypt folder function works like the encrypt file function; all files located in the folder are encrypted. Sub folders are ignored. From the popup menu attached to the button you can encrypt folder to another folder, and choose to remove source files after encryption.

Encrypted files are identified by an underscore '_' added to then end of the file name.

· Decrypt file :

Select the file(s) to decrypt. File name is ended with an underscore. You can select more than one file.

If you have selected the Decrypt file to.. you are prompted to select a destination folder.

Then provide the password

Click the OK button to decrypt the file.

From the popup menu attached to the button you can choose to remove the encrypted file after file decryption.

· decrypt folder : all encrypted files stored into a folder are decrypted. From the attached menu you can select a different folder and check the delete source files option. In this case source files will be removed after encryption.


Lesson 10 Decompressing files or folder

Backup2007 Synchronizer can compress files when it copies them to the target. Gzip compression format is used. A Gzip file contains only a single file, and it is generally named with the same file name and file extension. To easily recognize a "gzipped" file during the synchronization process we have added an underscore to the file extension. The Decompress group provides functions to restore individual files or all files stored in a folder.

You can access the Decompress from the Actions menu tool bar.

· Decompress a file or group of files : you will be prompted to select the file(s) to decompress (restore).

The usual Windows open dialog box is displayed, select the files to decompress.

Then you must select a destination folder.

Click OK to select the destination, files are restored to this destination.

· Decompress all files : all files stored in a selected folder will be decompressed into a destination folder of your choice.


Lesson 11 Live synchronization

The live synchronization module is an external application which spies folders. Each time one of the surveyed folder is modified the corresponding scripts are run in background.

Live Synchronization is available from the Actions menu tool bar;

You must first select the scripts to survey.

Click the [image] button to select scripts :

Just check (or uncheck) the scripts. But selection is not enough, you must Activate the live synchronization.

Click the [image] button to activate or deactivate the module.

The module is loaded only if at least one script is selected.

The live synchronization module is loaded at Windows start-up.


Lesson 12 The Geography

The Geography is a map of your synchronization scripts.

Source folders are linked to the destination device. If a script contains more than one folder, each one is represented.

If you double click over a folder or a destination device, the Windows Explorer will be displayed. When the destination device is surrounded by a red border, this means the dive is not ready. Here the network drive is not available.

The link between the source and the folder indicates the synchronization method.

...... clone

_ _ _ _ _ source >> target >> source

________ source >> target

A preview menu is available from the right mouse button

You can refresh the map.

From the navigation bar you can zoom in, zoom out or change the map orientation.

Settings are automatically saved and reuse the next time you will run the Geography.


Lesson 13 Scheduling one or more scripts

Of course, the main goal of Backup2007 Synchronizer is to run the scripts automatically. Backup2007 Synchronizer creates a task in the Windows Scheduler. This means that everything possible with Windows scheduler are also possible with Backup2007 Synchronizer, this includes multiple scheduling (triggers) and repeating task.

Before starting you must know :

· user account non password protected : if you run an user account without password (frequent situation with XP Home), the Windows scheduler will not run the task if the user is not logged on.
· running on batteries : by default Windows scheduler will not run a task when the computer is running on batteries. You can change this default value through the task properties.
· using mapped drive : if you have defined a script with network mapped drive, the destination device will not be seen if the user is not logged on.
· with older Windows version : the next run time was not recalculated if the computer was not available when the task should be run.

To schedule a task click over the Timeline navigation bar panel, then click the [image] button.

The create task wizard is displayed. Except specific options, such as the script selection, the wizard is similar to the one available from Windows.

Select the scripts you wish to run, by checking the script name.

Provide a task name. By default the first script name checked is suggested.

Select the schedule (see the Windows help for more details).

Provide user account information. This dialog box is filled up automatically if you have already provided these information.

If you wish to use a different account, you must check that the user account has rights to access the files and destination device.

We are now ready to create the task. You can request a Windows shutdown after running the synchronization. This is useful if you wish to run scripts when you are leaving your office.

Click the [image] button to create the task.

The task has been created successfully.

Repeating task

If you wish to run frequently a task (more than one time per day), you can use the repeat task feature.

button available on the schedule page.

You can select a frequency in hours or in minutes. Then select a time or a duration limit. If you select a time, the time must be indicated in 24 hours format. Here we request to run the task every 2 hours until 9:00 PM.


Lesson 14 The Timeline

The Timeline is a planner showing last and next run time for each task scheduled. From the Timeline you can

· create a new task
· show the task properties dialog box and add new triggers (schedule time) for the task;
· Run the task
· Remove the task

By convention task has been setup with 15 minutes. There is absolutely no signification.

Days in bold indicate a sceduled task.

Under the calendar all scripts are listed. When you navigate through the tasks, the selected task name is displayed on the status bar and concerned scripts are marked with the scheduled icon [image]. The last run time displays the task exit code. An exit code of 0 indicates a task successfully executed. For other values see the Windows help file.

When a task is scheduled, buttons on the navigation bar are now available

· : displays the Windows task properties dialog box.

Click the Advanced button if you wish to add new schedule time for this task.

· : after confirmation the task will be launched immediately.

· : after confirmation the task is removed (not the scripts)


Lesson 15 Transferring images

This function has been added to help every one to transfer images from digital camera or USB flash drive to your computer. Unlike the transfer utility coming with Windows this function is able

· to keep the original image date and time
· to rename automatically all photos while copying files
· to create sub folders automatically
· to save settings for future use

The function is available from the Tools menu bar.

When you plug your camera, or insert a flash disk the Source is filled up automatically with the drive letter identifying your device.

To select the destination folder click the [image] button to browse your computer and pick the folder.

You can also access the preview menu from the icon caption and select, or simply double click the Destination folder (edit zone must be empty).

Options:

If file exists : select the skip option if you wish to keep the existing file.

Set date : by default the original date and time is kept (unlike the Windows utility). But sometimes it is practical to set a different time, if by example, you have forgot to set up the date and time of your camera. You can choose the current date and time (like Windows) or set a specific date and time.

Preserve folder structure : if pictures are stored in different folders on your device, folder name will be kept.

Rename :

It is the major option of this function. Depending of your camera pictures are generally named with PICT, IMG or DSC suffix and with a number.

Here we suggest a method to rename image files automatically.

Format : you can choose between Caption+number, Number+caption, Caption+number+date, Number+caption+date, Caption+date. Please note the '/' date separator is not accepted in a file name by the operating system.

Separator : used to separate each part of the caption.

Caption : the text used as generic caption. If you provide \ separator in the caption, the program will create sub folders in the destination folder. Here we create a Travel\Asia sub folder; and all pictures will start with a number following with HK.

Number : the number group allows to define how the number will be formatted. The numbering can start with a number of your choice or you can keep the number of the original file. The number is padded with 0 or blank.

Filter :

You can place a date time filter. If you provide a date minimum, all pictures since this date will be copied. If you select a date maximum only files created until this date and time will be copied. If you provide both values files between these two dates will be processed. Filter can be useful if you did not removed all previous pictures.

Preview menu :

From the preview menu attached to the icon toolbar you can :

· save settings as default to be reused the next time
· load default settings
· save the current destination folder as a repository.
· set the usual Windows folder My pictures as a destination folder.


Lesson 16 Scripts

From the Scripts navigation bar panel you can access to the list of all your scripts. All common and private scripts are listed.

When you navigate through the Scripts tree view the detail of the script is displayed. The status bar displays the option icons, the script name. The synchronize and compare start button are now available.

When you modify a value the Options menu tool bar corresponding item is updated. If you run the script, the synchronization will use the current settings and not the script as it is saved on disk. Click the [image] button from the Quick access tool bar or from the File menu tool bar, to save the changes.

For each script the History reports the status of each process. The Error logs reports each error reported.


Lesson 17 Replicate partition

See the chapter Understanding the replicate partition function

Click the Replicate button

Select the source partition and the partition where to replicate.

Click the [image] button to register the description as a script. The script will be displayed in the Scripts list and will be available for scheduling. The script will be also displayed in the Geography.

The Save option is optional.

On the status bar size in bytes of each partition is displayed.

You can run directly the replication partition function by clicking the [image] button. It is recommended to close all software running or accessing on the source partition.

If you start the replication process all data on the target partition will be lost.


Other tools

From the Tools menu bar you can access to

Miscellaneous group :

Map drive : this utility allows to update your scripts if the drive letter designing a device has been changed (e.g. E becomes F). This function is useful with older Windows version.

Start view : by default the My Computer view is the application main window design. You can select another design. Just check the menu item you wish.

Windows Theme : by default Office2007 Obsidian is active (Vista default theme). You can select among other Office 2003 and 2007 themes.

Network drive : if you run scheduled tasks to back up or synchronize data through a network drive it is highly recommended to register the logon to access these resources. Effectively if the task runs while the user is not logged on the destination drive can be seen as unavailable.

click the [image] button to browse your Network places and pick the network folder.

Provide user name and password, then click the [image] button. The connection is added to the list.

Click the [image] button to pick a network folder already defined to change the login setup.

Click the Add to list button to save your changes, or the [image] to delete the network drive access from the list.

Access :

If you wish to protect the access to Backup2007 Synchronizer you can provide a logon.

Click the [image] to active or deactivate the access protection. If the logon is not yet defined the logon dialog box will be displayed.

Click the [image] to modify the logon.

SMTP

If you plan to send email confirmation when a synchronization is done you must provide the SMTP server definition. If you don't know check your email account setup to find the settings.

Provide mail server information

Provide email addresses

Email can be sent only if the script is scheduled.

A preview menu is available from the icon caption. You can send a email to test your SMTP settings.


Wizard

The Wizard lets you to define a script through a step by step dialog box.

You can access the Wizard from the File menu tool bar.

Select source

You can select one or more folders.

Select the target

Click [image] button to browse your computer and pick a target

Set up the folder management

Read the Understanding the synchronization process chapter to select the right option.

The information displayed under Files will be copied to is automatically filled up.

Choose a synchronization method

Read the Understanding the synchronization process chapter to select the right method.

Select the comparison method

Do you wish to keep more than one version of your files ?

If the synchronization method selected allows multiple version, this screen will be displayed

Do you wish to compress files ?

Backup2007 Synchronizer can compress files using Gzip compression format.

This screen is available only if the synchronization method selected allows compression.

Do you wish to encrypt files ?

Backup2007 Synchronizer can encrypt files using AES encryption key.

This screen is available only if the synchronization method selected allows encryption.

Do you wish to use incremental mode ?

With the incremental mode only modified folders since last scan are synchronized.

Do you wish to activate the exclude list ?

You can activate the exclude list. To manage the list click the [image] button.

Is this script only for you ?

A script can be public, all users can access it or private. In this case only the current user account can access it.

Ignore 0 byte files

Skip empty files.

Set the thread priority

Give a name

A name is suggested. You can give the name you wish

This name must be unique.

Finish

Options have been updated on the main windows. You can save these options as standard profile.

Click the [image] button

Click the [image] button to save the script settings. The script is saved and the synchronization launched.


Support

You can get support from the support center

or from the user forum

You can also send an email to support

When you report a problem please be as accurate as possible : product version, Windows version.

Check regularly the Update center to maintain your software up to date


Where to buy

Backup2007 Synchronizer is a try before you buy software (shareware). You have 21 days to try it., and after this evaluation period you must buy a license in order to continue to use the software. If you need we can provide you a free temporary key to extend your trial period.

Backup2007 Synchronizer Single license | 29.95$US
Small business license (5 seats) | 75$US

Visit our site http://www.rdtechno.com for the latest information on registering Backup2007 Synchronizer

Orders are processed by Plimus (USA) Plimus accepts all kinds of payment methods like credit cards, checks, bank-wire transfers. and Paypal. They supply you with a receipt/invoice upon purchasing. The fastest way to order and receive our products is by placing your order online (Internet Orders). You can also place your order by phone, fax or mail. Credit card orders can be processed within one hour.
Right after your order has been processed by Plimus we send you the download instructions and registration details by e-mail.

Please note : we never access your credit card information